package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.NoticeEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.Date;
import java.util.List;

public interface NoticeRepo extends JpaRepository<NoticeEntity, Long>,
        QueryByExampleExecutor<NoticeEntity>, JpaSpecificationExecutor<NoticeEntity> {
    List<NoticeEntity> findByIdIn(List<Long> ids);

    int deleteByIdIn(List<Long> noticeIdList);

    List<NoticeEntity> findByCreationTimeBefore(Date lastYear);
}
